PROGRAM trapdemo;
  {Issue MT.DMODE trap (read display mode) }
  {Date: 17 Apr 86}
TYPE
  {$I MDV2_TRAPREG}
  {The INCLUDE file defines an array regrec, which is the
  second argument for the subroutine QTRAP. }
VAR regrec: regspec;
PROCEDURE QTRAP(trapnum: integer;  regrec: regspec);  EXTERNAL;
BEGIN
  {Before calling QTRAP, the elements of regrec corresponding to the
  machine registers D0, D1 and D2 must be set to the required
  values (see the QL Technical Guide or similar document). }
    WITH regrec DO
      BEGIN
        D0 := 10H;
        D1 := -1;
        D2 := -1;
      END;
  {The QTRAP subroutine's first argument is 1, which is the
  Manager trap number. }
  QTRAP (1,regrec);
  {On return from QTRAP, the desired information is in the least
  significant bytes of machine registers D1 and D2. }
  writeln('Display mode = ', (regrec.D1 MOD 256):1);
  writeln('Display type = ', (regrec.D2 MOD 256):1);
END.
