{Pro Pascal Version mmq 1.1}
{Include file for QL graphics procedures}
{Date:  25 Apr 1986}

{Screen mode}

{SuperBASIC keyword:  MODE}
PROCEDURE mode(highres: boolean);  EXTERNAL;

{Windows}

{SuperBASIC keyword:  OPEN, to CONsole device}
PROCEDURE wopen(VAR w: text;
                width,height,Xorigin,Yorigin: integer);  EXTERNAL;

{SuperBASIC keyword:  WINDOW}
PROCEDURE window(VAR w: text;
                 width,height,Xorigin,Yorigin: integer);  EXTERNAL;

{SuperBASIC keyword:  none}  {window/cursor state in character coords}
PROCEDURE wstatc(VAR w: text;
                 VAR width,height: integer;
                 VAR Xcursor,Ycursor: integer);  EXTERNAL;

{SuperBASIC keyword:  none}  {window/cursor state in pixel coords}
PROCEDURE wstatp(VAR w: text;
                 VAR width,height: integer;
                 VAR Xcursor,Ycursor: integer);  EXTERNAL;

{SuperBASIC keyword:  RECOL}
PROCEDURE recol(VAR w: text;
                c1,c2,c3,c4,c5,c6,c7,c8: integer);  EXTERNAL;

{SuperBASIC keyword:  BORDER}
PROCEDURE border(VAR w: text;
                 width,colour: integer);  EXTERNAL;

{SuperBASIC keyword:  INK}
PROCEDURE ink(VAR w: text;
              colour: integer);  EXTERNAL;

{SuperBASIC keyword:  PAPER}
PROCEDURE paper(VAR w: text;
                colour: integer);  EXTERNAL;

{SuperBASIC keyword:  STRIP}
PROCEDURE strip(VAR w: text;
                colour: integer);  EXTERNAL;

{SuperBASIC keyword:  BLOCK}
PROCEDURE block(VAR w: text;
                width,height,Xorigin,Yorigin: integer;
                colour: integer);  EXTERNAL;

{SuperBASIC keyword:  CLS}
PROCEDURE cls(VAR w: text;
              part: integer);  EXTERNAL;

{SuperBASIC keyword:  PAN}
PROCEDURE pan(VAR w: text;
              distance,part: integer);  EXTERNAL;

{SuperBASIC keyword:  SCROLL}
PROCEDURE scroll(VAR w: text;
                 distance,part: integer);  EXTERNAL;


{Print style}

{SuperBASIC keyword:  CSIZE}
PROCEDURE csize(VAR w: text;
                width,height: integer);  EXTERNAL;

{SuperBASIC keyword:  FLASH}
PROCEDURE flash(VAR w: text;
                onoff: boolean);  EXTERNAL;

{SuperBASIC keyword:  UNDER}
PROCEDURE under(VAR w: text;
                    onoff: boolean);  EXTERNAL;

{SuperBASIC keyword:  OVER}
PROCEDURE over(VAR w: text;
               mode: integer);  EXTERNAL;

{Cursor positioning}

{SuperBASIC keyword:  AT}
PROCEDURE atc(VAR w: text;
             line,column: integer);  EXTERNAL;

{SuperBASIC keyword:  CURSOR with two parameters}
PROCEDURE atp(VAR w: text;
                  Xpos,Ypos: integer);  EXTERNAL;

{SupeBASIC keyword:  CURSOR with four parameters}
PROCEDURE atg(VAR w: text;
                  Xorigin,Yorigin: real;
                  Xoffset,Yoffset: integer);  EXTERNAL;

{Graphics drawing}

{SuperBASIC keyword:  FILL}
PROCEDURE fill(VAR w: text;
               onoff: boolean);  EXTERNAL;

{SuperBASIC keyword:  SCALE}
PROCEDURE scale(VAR w: text;
                scalefactor,Xorigin,Yorigin: real);  EXTERNAL;

{SuperBASIC keyword:  POINT}
PROCEDURE point(VAR w: text;
                X,Y: real);  EXTERNAL;

{SuperBASIC keyword:  LINE}
PROCEDURE line(VAR w: text;
               Xfrom,Yfrom,Xto,Yto: real);  EXTERNAL;

{SuperBASIC keyword:  ARC}
PROCEDURE arc(VAR w: text;
              Xfrom,Yfrom,Xto,Yto: real;
              angle: real);  EXTERNAL;

{SuperBASIC keyword:  CIRCLE, with three parameters}
PROCEDURE circle(VAR w: text;
                 Xcentre,Ycentre,radius: real);  EXTERNAL;

{SuperBASIC keyword:  CIRCLE, with five parameters}
PROCEDURE ellipse(VAR w: text;
                  Xcentre,Ycentre,majoraxis: real;
                  eccentricity,angle: real);  EXTERNAL;

